Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.event
Class SlotEvent

    java.lang.Object
      java.util.EventObject
          edu.stanford.smi.protege.util.SessionEvent
              edu.stanford.smi.protege.util.AbstractEvent
                  edu.stanford.smi.protege.event.SlotEvent

All Implemented Interfaces:
  Event, Localizable, Serializable

    public class SlotEvent

extends AbstractEvent

Event generated when a slot changes.

Author:
  Ray Fergerson
See Also:
  Serialized Form

Field Summary
`static int` | `DIRECT_SUBSLOT_ADDED`
`static int` | `DIRECT_SUBSLOT_MOVED`
`static int` | `DIRECT_SUBSLOT_REMOVED`
`static int` | `DIRECT_SUPERSLOT_ADDED`
`static int` | `DIRECT_SUPERSLOT_REMOVED`
`static int` | `TEMPLATE_SLOT_CLS_ADDED`
`static int` | `TEMPLATE_SLOT_CLS_REMOVED`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`SlotEvent(Slot slot, int type, Frame frame)`

Method Summary
`Cls` | `getCls()`
`Frame` | `getFrame()`
`Slot` | `getSlot()`
`Slot` | `getSubslot()`
`Slot` | `getSuperslot()`
`boolean` | `isDeletingSlotEvent()`

Methods inherited from class edu.stanford.smi.protege.util.AbstractEvent
`equals, equals, getArgument, getArgument1, getArgument2, getArgument3, getEventType, getSource, getTimeStamp, getUserName, hashCode, isReplacementEvent, localize, setReplacementEvent, setSource, setTimeStamp, toString`

Methods inherited from class edu.stanford.smi.protege.util.SessionEvent
`getSession, isHiddenByTransaction, setHiddenByTransaction`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TEMPLATE_SLOT_CLS_ADDED

    public static final int TEMPLATE_SLOT_CLS_ADDED

See Also:
  Constant Field Values

### TEMPLATE_SLOT_CLS_REMOVED

    public static final int TEMPLATE_SLOT_CLS_REMOVED

See Also:
  Constant Field Values

### DIRECT_SUBSLOT_ADDED

    public static final int DIRECT_SUBSLOT_ADDED

See Also:
  Constant Field Values

### DIRECT_SUBSLOT_REMOVED

    public static final int DIRECT_SUBSLOT_REMOVED

See Also:
  Constant Field Values

### DIRECT_SUPERSLOT_ADDED

    public static final int DIRECT_SUPERSLOT_ADDED

See Also:
  Constant Field Values

### DIRECT_SUPERSLOT_REMOVED

    public static final int DIRECT_SUPERSLOT_REMOVED

See Also:
  Constant Field Values

### DIRECT_SUBSLOT_MOVED

    public static final int DIRECT_SUBSLOT_MOVED

See Also:
  Constant Field Values

Constructor Detail

### SlotEvent

    public SlotEvent(Slot slot,
                     int type,
                     Frame frame)

Method Detail

### getCls

    public Cls getCls()

### getFrame

    public Frame getFrame()

### getSlot

    public Slot getSlot()

### getSubslot

    public Slot getSubslot()

### getSuperslot

    public Slot getSuperslot()

### isDeletingSlotEvent

    public boolean isDeletingSlotEvent()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.